org.scalatest.FlatSpec

# ItVerbString

#### class ItVerbString extends AnyRef

Class that supports test registration via the `ItWord` instance referenced from `FlatSpec`'s `it` field.

This class enables syntax such as the following test registration:

    it should "pop values in last-in-first-out order" in { ... }
                                                      ^

It also enables syntax such as the following registration of an ignored test:

    it should "pop values in last-in-first-out order" ignore { ... }
                                                      ^

In addition, it enables syntax such as the following registration of a pending test:

    it should "pop values in last-in-first-out order" is (pending)
                                                      ^

And finally, it also enables syntax such as the following tagged test registration:

    it should "pop values in last-in-first-out order" taggedAs(SlowTest) in { ... }
                                                      ^

For more information and examples of the use of the `it` field, see the main documentation for trait `FlatSpec`.

Attributes
  protected final

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. ItVerbString
2. AnyRef
3. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new ItVerbString (verb: String, name: String)

### Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

5. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

6. #### def asInstanceOf [T0] : T0

   Attributes
     final
   Definition Classes
     Any

7. #### def clone (): AnyRef

   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws()

8. #### def eq (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

9. #### def equals (arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

11. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

12. #### def hashCode (): Int

    Definition Classes
      AnyRef → Any

13. #### def ignore (testFun: ⇒ Unit): Unit

    Supports the registration of ignored tests in a `FlatSpec`.

    Supports the registration of ignored tests in a `FlatSpec`.

    This method supports syntax such as the following:

        it must "pop values in last-in-first-out order" ignore { ... }
                                                        ^

    For examples of ignored test registration, see the Ignored tests section in the main documentation for trait `FlatSpec`.

14. #### def in (testFun: ⇒ Unit): Unit

    Supports the registration of tests in a `FlatSpec`.

    Supports the registration of tests in a `FlatSpec`.

    This method supports syntax such as the following:

        it must "pop values in last-in-first-out order" in { ... }
                                                        ^

    For examples of test registration, see the main documentation for trait `FlatSpec`.

15. #### def is (testFun: ⇒ PendingNothing): Unit

    Supports the registration of pending tests in a `FlatSpec`.

    Supports the registration of pending tests in a `FlatSpec`.

    This method supports syntax such as the following:

        it must "pop values in last-in-first-out order" is (pending)
                                                        ^

    For examples of pending test registration, see the Pending tests section in the main documentation for trait `FlatSpec`.

16. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

17. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

18. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

19. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

20. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

21. #### def taggedAs (firstTestTag: Tag, otherTestTags: Tag*): ItVerbStringTaggedAs

    Supports the registration of tagged tests in a `FlatSpec`.

    Supports the registration of tagged tests in a `FlatSpec`.

    This method supports syntax such as the following:

        it must "pop values in last-in-first-out order" taggedAs(SlowTest) in { ... }
                                                        ^

    For examples of tagged test registration, see the Tagging tests section in the main documentation for trait `FlatSpec`.

22. #### def toString (): String

    Definition Classes
      AnyRef → Any

23. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

24. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

25. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

### Inherited from AnyRef

### Inherited from Any